org.apache.xmlbeans

## Interface SchemaAnnotation.Attribute

- Enclosing interface:
    SchemaAnnotation

      public static interface SchemaAnnotation.Attribute

  Represents an attribute instance

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `QName` | `getName()` Returns the name of the attribute
    `String` | `getValue()` Returns the value of the attribute
    `String` | `getValueUri()` In case the value of this attribute is a QName, returns the URI to which the prefix in the value is bound

- - ### Method Detail

    - #### getName

          QName getName()

      Returns the name of the attribute

    - #### getValue

          String getValue()

      Returns the value of the attribute

    - #### getValueUri

          String getValueUri()

      In case the value of this attribute is a QName, returns the URI to which the prefix in the value is bound